//
//  Inventory.swift
//  TASQSample
//
//  Created by cheng on 2019/10/22.
//  Copyright © 2019 au.com.tasq. All rights reserved.
//

import Foundation

public class Inventory
{
    var InventoryID : String?
    var InventoryName: String?
    var InventoryType: String?
    var SupplierPartNumber: String?
    var CategoryID: String?
    var PurchasePrice: Double?
    var PurchaseDescription: String?
    var IsPurchasePriceTaxInclusive: Bool?
    var PurchaseTaxCodeID : String?
    var SellingPrice: Double?
    var IsSalePriceTaxInclusive: Bool?
    var SaleDescription: String?
    var SaleTaxCodeID: String?
    var IsInventory: Bool?
    var IsInactive: Bool? = false
    var HasExportedToQ6: Bool?
    var IsRecordingTimeTracking: Bool?
    var CategoryName: String?
    var PurchaseTaxCodeName: String?
    var SaleTaxCodeName: String?
    var IsBuiltIn: Bool?
    var IsDefaultRecordTimeTracking: Bool?
   
}

public class ImportInventory
{
    var InventoryName: String?
    var InventoryType: String?
    var IsInventoried: String?
    var SupplierPartNumber: String?
    var CategoryName: String?
    var BuyingPrice: String?
    var IsPurchasePriceTaxInclusive: String?
    var PurchaseTaxCodeName: String?
    var SellingPrice: String?
    var IsSalePriceTaxInclusive: Double?
    var SaleDescription: String?
    var IsRecordTimeTracking: String?
    var IsDefaultRecordTimeTracking: String?
}

